Pular para o conteúdo principal
GET
/
cms
/
v3
/
hubdb
/
tables
/
draft
Retornar todas as tabelas de rascunho
curl --request GET \
  --url https://api.hubapi.com/cms/v3/hubdb/tables/draft \
  --header 'Authorization: Bearer <token>'
{
  "results": [
    {
      "allowChildTables": true,
      "allowPublicApiAccess": true,
      "columnCount": 123,
      "columns": [
        {
          "deleted": true,
          "description": "<string>",
          "id": "<string>",
          "label": "<string>",
          "name": "<string>",
          "createdAt": "2023-11-07T05:31:56Z",
          "createdBy": {
            "email": "<string>",
            "firstName": "<string>",
            "id": "<string>",
            "lastName": "<string>"
          },
          "createdByUserId": 123,
          "foreignColumnId": 123,
          "foreignIds": [
            {
              "id": "<string>",
              "name": "<string>",
              "type": "<string>"
            }
          ],
          "foreignIdsById": {},
          "foreignIdsByName": {},
          "foreignTableId": 123,
          "optionCount": 123,
          "options": [
            {
              "createdAt": "2023-11-07T05:31:56Z",
              "id": "<string>",
              "label": "<string>",
              "name": "<string>",
              "order": 123,
              "type": "<string>",
              "updatedAt": "2023-11-07T05:31:56Z",
              "createdBy": {
                "email": "<string>",
                "firstName": "<string>",
                "id": "<string>",
                "lastName": "<string>"
              },
              "createdByUserId": 123,
              "updatedBy": {
                "email": "<string>",
                "firstName": "<string>",
                "id": "<string>",
                "lastName": "<string>"
              },
              "updatedByUserId": 123
            }
          ],
          "updatedAt": "2023-11-07T05:31:56Z",
          "updatedBy": {
            "email": "<string>",
            "firstName": "<string>",
            "id": "<string>",
            "lastName": "<string>"
          },
          "updatedByUserId": 123,
          "width": 123
        }
      ],
      "createdAt": "2023-11-07T05:31:56Z",
      "deleted": true,
      "deletedAt": "2023-11-07T05:31:56Z",
      "dynamicMetaTags": {},
      "enableChildTablePages": true,
      "id": "<string>",
      "label": "<string>",
      "name": "<string>",
      "published": true,
      "publishedAt": "2023-11-07T05:31:56Z",
      "rowCount": 123,
      "updatedAt": "2023-11-07T05:31:56Z",
      "useForPages": true,
      "createdBy": {
        "email": "<string>",
        "firstName": "<string>",
        "id": "<string>",
        "lastName": "<string>"
      },
      "isOrderedManually": true,
      "updatedBy": {
        "email": "<string>",
        "firstName": "<string>",
        "id": "<string>",
        "lastName": "<string>"
      }
    }
  ],
  "total": 123,
  "paging": {
    "next": {
      "after": "<string>",
      "link": "<string>"
    },
    "prev": {
      "before": "<string>",
      "link": "<string>"
    }
  }
}

Documentation Index

Fetch the complete documentation index at: https://br.developers.hubspot.com/docs/llms.txt

Use this file to discover all available pages before exploring further.

Supported products

Autorizações

Authorization
string
header
obrigatório

The access token received from the authorization server in the OAuth 2.0 flow.

Parâmetros de consulta

after
string

O token do cursor de paginação do último recurso lido com sucesso será retornado como a propriedade JSON "paging.next.after" de uma resposta paginada que contém mais resultados.

archived
boolean

Se apenas os resultados que foram arquivados devem ser retornados.

contentType
string

Especifica o tipo de conteúdo da resposta.

createdAfter
string<date-time>

Retorne os rascunhos criados após uma data específica.

createdAt
string<date-time>

Retorne os rascunhos criados em uma data específica.

createdBefore
string<date-time>

Retorne os rascunhos criados antes de uma data específica.

isGetLocalizedSchema
boolean

Indica se o esquema localizado deve ser recuperado.

limit
integer<int32>

O número máximo de resultados a serem exibidos por página.

sort
string[]

Especifica quais campos usar para classificar os resultados. Os campos válidos são "name", "createdAt", "updatedAt", "createdBy", "updatedBy". O campo "createdAt" será usado por padrão.

updatedAfter
string<date-time>

Retorne os rascunhos atualizados após uma data específica.

updatedAt
string<date-time>

Retorne os rascunhos atualizados em uma data específica.

updatedBefore
string<date-time>

Retorne os rascunhos atualizados antes de uma data específica.

Resposta

successful operation

results
object[]
obrigatório
total
integer<int32>
obrigatório
paging
object
Last modified on April 13, 2026